<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='In' id=''>
  <import-decl name='StdChannels' id='StdChannels' export='no' module='StdChannels'/>
  <import-decl name='TextRider' id='TextRider' export='no' module='TextRider'/>
  <var-decl name='reader' id='reader' export='read-only'>
    <oberon-doc>
      <summary>This is the rider used by the input procedures.</summary>
      <p pad-after='yes' no-indent='yes'>This is the rider used by the input procedures.  It is initialized to hold a text reader on the channel <oberon-var href='StdChannels#stdin'>StdChannels.stdin</oberon-var>.  This can be changed by calling <oberon-proc href='#SetReader'>SetReader</oberon-proc>.</p>
    </oberon-doc>
    <type>
      <type-name module='TextRider' name='Reader' href='TextRider#Reader'/>
    </type>
  </var-decl>
  <procedure name='Done' id='Done' export='yes'>
    <oberon-doc>
      <summary>Returns <code>TRUE</code> if the last operation was successful.</summary>
      <p pad-after='yes' no-indent='yes'>Returns <code>TRUE</code> if the last operation was successful.</p>
    </oberon-doc>
    <formal-parameters>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='ClearError' id='ClearError' export='yes'>
    <formal-parameters/>
  </procedure>
  <procedure name='SetReader' id='SetReader' export='yes'>
    <oberon-doc>
      <summary>Changes the rider <oberon-var href='#reader'>reader</oberon-var>.</summary>
      <p pad-after='yes' no-indent='yes'>Changes the rider <oberon-var href='#reader'>reader</oberon-var>.  All following calls to input procedures will read from <oberon-param href='#SetReader.r'>r</oberon-param>.  The preferred method of connecting to the standard input channel is to call <samp>SetReader(NIL)</samp>.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='r' id='SetReader.r' export='no' variable-parameter='no'>
        <type>
          <type-name module='TextRider' name='Reader' href='TextRider#Reader'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Char' id='Char' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='Char.ch' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Line' id='Line' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='Line.s' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='String' id='String' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='String.s' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Identifier' id='Identifier' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='Identifier.s' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Bool' id='Bool' export='yes'>
    <formal-parameters>
      <parameter-decl name='bool' id='Bool.bool' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='BOOLEAN'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='ShortInt' id='ShortInt' export='yes'>
    <formal-parameters>
      <parameter-decl name='int' id='ShortInt.int' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='SHORTINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Int' id='Int' export='yes'>
    <formal-parameters>
      <parameter-decl name='int' id='Int.int' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongInt' id='LongInt' export='yes'>
    <formal-parameters>
      <parameter-decl name='lint' id='LongInt.lint' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Hex' id='Hex' export='yes'>
    <formal-parameters>
      <parameter-decl name='lint' id='Hex.lint' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongReal' id='LongReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='lreal' id='LongReal.lreal' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='LONGREAL'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Real' id='Real' export='yes'>
    <formal-parameters>
      <parameter-decl name='real' id='Real.real' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Set' id='Set' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='Set.s' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='SET'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='TextRider'>
    <ref-target type='html' relative-uri='TextRider.html'/>
  </module-ref>
  <module-ref name='StdChannels'>
    <ref-target type='html' relative-uri='StdChannels.html'/>
  </module-ref>
</interface-description>
